
Figure - Bug #118477
【IOVDEV-30998】【系统测试】【VC1】【SORP】【0082】【实车】【EE环境】【系统设置】开启仅副驾息
屏之后，副驾没有息屏
2023-06-02 21:28 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-02

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 106版本优化了以太网丢包问题，客户未复现close了。

Description

【车架号】：LJD8BB3F7P0000708

【环境信息】：EE环境

【问题出现时间】：2023.5.27 15：39

【前提条件】：1、车机上电

【操作步骤】

1、点击设置-显示

2、开启仅副驾息屏

【实际结果】

1、偶现了一次打开仅副驾息屏，但是副驾没有息屏

【期望结果】

1、开启仅副驾息屏之后，副驾要息屏

【备注】：

【版本详情】

【硬件版本号】B样

History

#1 - 2023-06-02 21:28 - CDTS_TEST 王成

副屏收到了中控的亮信号，uuid与中控13:38:53:564的消息一致

000816_persist_00455_230527_153852.log:05-27 15:38:52.613  2055 12506 I MicroService: Receive message: SocketMessageBean{businessData='21930',

srcService='IDCM_MultiScreenService', destService='FSEM_SettingService', messageType='0', uuid='1853546918458',

payloadData={"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":1853546918458,"methodName":"setScreenDisplay","

parameters":{"ScreenDisplay":1}}}

上报屏幕状态给中控，微服务log显示发送成功，但是根据之前的分析说中控并未收到

000816_persist_00455_230527_153852.log:05-27 15:38:52.699  2055 12516 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930',

srcService='FSEM_SettingService', destService='IDCM_MultiScreenService', messageType='0', uuid='1685173132695483240',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1685173132695483240,"methodName":"reportScreen
Display","parameters":{"ScreenDisplay":1}}}

结论：

副屏确实有上报屏幕状给中控，但是中控并未收到，此前也有丢包的情况，该现象疑似tcp丢包，需要网络相关的同学进行确认

#2 - 2023-06-03 17:01 - CD LC 陶洪普

该现象疑似tcp丢包，需要网络相关的同学进行确认

从抓取的日志包 1685611304912.zip 中，未包含tcpdump文件

请抓取tcpdump，同时下面信息也请获取。

当前的Interface信息(MAC,包统计)

ifconfig

路由信息

ip route list table all

ip 规则

ip rule

包统计信息

cat /proc/net/dev

#3 - 2023-06-03 17:17 - CD TEST-方永红

- File 1685783770576.zip added

#4 - 2023-06-07 16:30 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 106版本优化了以太网丢包问题，客户未复现close了。

#5 - 2023-06-08 17:06 - SZTS_TEST 邹涛

在FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306080125版本验证不通过

#6 - 2023-06-09 15:27 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 版本验证通过

#7 - 2023-06-25 14:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

仅副驾屏.mp4 6.04 MB 2023-06-02 CDTS_TEST 王成

1685611304912.zip 7.58 MB 2023-06-02 CDTS_TEST 王成

30998.jpg 405 KB 2023-06-02 CDTS_TEST 王成

30998-1.jpg 513 KB 2023-06-02 CDTS_TEST 王成

1685783770576.zip 4.81 MB 2023-06-03 CD TEST-方永红
